// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;
/**
 * Identifies various constants used in the Persistence framework, typically for configuration
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:40 $</dd></dl>
 */

public class PersistenceConstants {
    
    /**
     * identifies the key for the DAO Factory configuration, to be specified in the root environment properties file
     */
    public static final String DAO_FACTORY_CONFIG="DAOFactoryConfig";
    
    /**
     * identifies the key for the Domain Object factory configuration, to be specified in the root environment properties file
     */
    public static final String DOMAIN_OBJ_FACTORY_CONFIG="DomainObjFactoryConfig";
    
    /**
     * identifies the DAO to provider key configuration mapping file, to be specified in the root environment properties file
     */
    public static final String DAO_TO_PROVIDER_CONFIG_KEY="DAOToProviderConfigMap";
    
    /**
     * identifies the persistence provider configuration, to be specified in the root environment properties file
     */
    public static final String PERSISTENCE_PROVIDER_CONFIG_KEY="persistenceProviderConfig";
    
    /**
     * identifies the general persistence options, to be specified in the root environment properties file
     */
    public static final String PERSISTENCE_OPTIONS_KEY="persistenceOptions";
    
    /**
     * identifies the bean to sql parameter mapping class, to be specified in the general persistence options properties file
     */
    public static final String BEAN_TO_SQL_PARAMETER_MAPPER_KEY="beanToSqlParameterMapper";
    
    /**
     * identifies the result set to bean mapping class, to be specified in the general persistence options properties file
     */
    public static final String RESULTSET_TO_BEAN_MAPPER_KEY="resultSetToBeanMapper";
    
    
    /** force singleton*/
    private PersistenceConstants() {
    }
    
}
