/*
 * PersistenceProviderLocator.java
 *
 * Created on January 5, 2003, 4:48 PM
 */

package com.iwombat.foundation.persist;

import com.iwombat.foundation.environment.ConfigurationLocator;
/**
 *
 * @author  brent
 */


public class PersistenceProviderLocator {
    
    /** Creates a new instance of PersistenceProviderLocator */
    private PersistenceProviderLocator() {
    }
    
    public static Persistence getPersistenceForDAO(Class daoClass){
        
        String providerKey =
        ConfigurationLocator.getPropertyValue(PersistenceConstants.DAO_TO_PROVIDER_CONFIG_KEY, daoClass.getName());
        
        Persistence persistence =
        (Persistence)ConfigurationLocator.getConfiguration(PersistenceConstants.PERSISTENCE_PROVIDER_CONFIG_KEY, providerKey);
        
        if (null==persistence) {
            throw new PersistenceConfigException("Unable to find the persistenceProviderConfigInfo mapping for providerKey='"
            + providerKey + "'.'");
            
        }
        
        return persistence;
    }
    
    public static Persistence getPersistenceForDAO(DAO daoObject){
        
        return getPersistenceForDAO(daoObject.getClass());
    }
}
