// (c) Copyright 2001-2002 iwombat.com all rights reserved

package com.iwombat.tools.unitTest;

import java.net.URL;
import java.net.MalformedURLException;
import com.iwombat.util.URLUtil;
/**
 * Retrieve the URL for the testTimeResources directory relies on finding a file
 * called unitTestSeed.xml somewhere in the class path to locate the base direcory
 *
 * @author  $Author: bob $
 * @version $Revision: 1.2 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/21 20:38:11 $</dd></dl>
 */

public class TstTimeResourceLocator {
    private static final String TESTTIME_RESOURCES_SEED = "unitTestSeed.xml";
    /** Creates a new instance of TstTimeResourceLocator */
    private TstTimeResourceLocator() {

    }
    
    public static URL getTstTimeResourceDir() {
        URL seedFile = TstTimeResourceLocator.class.getClassLoader().getResource(TESTTIME_RESOURCES_SEED);
        URL baseURL = null;
        try {
            baseURL = URLUtil.stripURLFile(seedFile);
        } catch (MalformedURLException e) {
            throw new RuntimeException("Can't create URL: " + e.getMessage());
        }
        return baseURL;
    }

    public static String getTstTimeResourcePath() {
	return getTstTimeResourceDir().getFile();
    }

    
}
