// (c) Copyright 2001-2002 iwombat.com all rights reserved

package com.iwombat.util;


/**
 * Utility that can convert commonly used strings into a boolean.
 *
 * @author  $Author: bob $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 17:54:16 $</dd></dl>
 *
 */
public class SmartBoolean 
{

    /**
     * Returns true if the string is an acceptable analog to 'true', or
     * Returns false if there are no matches on true.
     *
     * @param stringBoolean     string that's acting as boolean value
     * @throws IllegalArgumentException
     */
    public static boolean getBoolean (String stringBoolean) 
    {

        String trim = stringBoolean.trim();


        // check for all the strings we want to support as true
        // could also do this via a hash of true and false
        if ( trim.equalsIgnoreCase("true") ) return true;
        if ( trim.equalsIgnoreCase("false") ) return false;

        if ( trim.equalsIgnoreCase("t") ) return true;
        if ( trim.equalsIgnoreCase("f") ) return false;

        if ( trim.equalsIgnoreCase("yes") ) return true;
        if ( trim.equalsIgnoreCase("no") ) return false;

        if ( trim.equalsIgnoreCase("y") ) return true;
        if ( trim.equalsIgnoreCase("n") ) return false;

        throw new IllegalArgumentException("Unsupported boolean-like string:" + stringBoolean );
    }


    /** 
     * Enforces singleton behavior.
     */
    private SmartBoolean() {}

    
} // SmartBoolean
