// (c) Copyright 2001-2007 iwombat.com all rights reserved

package com.iwombat.foundation.uuid;

import java.util.List;





/**
 * Helper class for thread test
 * 
 * @author bobc
 */
public class UUIDThreadHelper extends Thread {

    private static int finishedCount = 0;
    
    private List results;
    

   private static synchronized void reportDone() {
        finishedCount++;
    }
    
    /**
     * @return the number of threads finished
     */
    public static int getFinishedCount() {
        return finishedCount;
    }
    
    /**
     * @param results the list to report results to
     */
    public UUIDThreadHelper(List results) {
        this.results = results;
    }
    
   
    public static final int NUM_UUIDS = 15;
    
    /**
     * {@inheritDoc}
     */
    public void run() {
        for (int i = 0; i < NUM_UUIDS; i++) {
            results.add(UUIDFactory.createUUID());
        }
        reportDone();
    }
}
