/*
 * RdbmsSaladShooterDAO.java
 *
 */

package com.iwombat.ri.kitchentools.persistence;

/**
 *
 */
import com.iwombat.ri.kitchentools.SaladShooter;
import com.iwombat.ri.kitchentools.SaladShooterImpl;

import com.iwombat.foundation.Identifier;

import com.iwombat.foundation.persist.*;
import com.iwombat.foundation.DomainObject;

import java.util.*;


public class SaladShooterRdbmsDAO extends AbstractTransactionalDAO implements SaladShooterDAO{
    
    private static final String INSERT_SALADSHOOTER="insertSaladShooter";
    private static final String GET_SALADSHOOTER_BY_ID="getSaladShooterById";
    private static final String UPDATE_SALADSHOOTER="updateSaladShooter";
    private static final String DELETE_SALADSHOOTER="deleteSaladShooter";
    private static final String GET_SALADSHOOTER_LIST_BY_NAME="getSaladShooterListByName";
    
    /** Creates a new instance of RdbmsSaladShooterDAO */
    public SaladShooterRdbmsDAO() {
    }
    
    public void createSaladShooter(SaladShooter saladShooter) {

        RdbmsDAOUtils.executeGenericPersistenceOperation(saladShooter, this, this.INSERT_SALADSHOOTER);

    }
    
    public void deleteSaladShooter(SaladShooter saladShooter) {
    
        RdbmsDAOUtils.executeGenericPersistenceOperation(saladShooter, this, this.DELETE_SALADSHOOTER);
    }
    
    public SaladShooter getSaladShooterById(Identifier id) {
        
        return (SaladShooter)RdbmsDAOUtils.executeGenericGetById(SaladShooterImpl.class, id, this, this.GET_SALADSHOOTER_BY_ID);
    }
    
    public void updateSaladShooter(SaladShooter saladShooter) {

        RdbmsDAOUtils.executeGenericPersistenceOperation(saladShooter,this,this.UPDATE_SALADSHOOTER);
    }
    
    public Collection getSaladShooterListByBrand(String brand) {

        GetByNameParameterBean paramBean = new GetByNameParameterBean(brand);
        
        Collection saladShooterList = RdbmsDAOUtils.executeGenericFetchList(paramBean, SaladShooter.class, this.GET_SALADSHOOTER_LIST_BY_NAME);

        return saladShooterList;
    }
    
    /** Returns a new instance of the appropriate domain Object
     *
     * @return the new domain object instance
     */
    public DomainObject createNew() {
        
        //TODO: call the Domain Object factory
        return new SaladShooterImpl();
    }
    
}
